POST
Withdraw card balance
Use this endpoint to withdraw a card's available balance to the Onerway account.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keyclientRequestIdIdempotent request ID for this card withdrawal operation.
Example:
REQ_20260101_004cardIdCard ID whose available balance is withdrawn.
Example:
100001amountWithdrawal amount from the card.
Example:
50Constraints
- Rule
- Must be greater than 0 and support up to 2 decimal places.
curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/returnCardBalance' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"amount": 50,
"cardId": 100001,
"clientRequestId": "REQ_20260101_004"
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ operateRecordId }Card withdrawal operation result.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"operateRecordId": 200003
}
}No error responses are documented for this endpoint.